Subject: [martini] draft-ietf-martini-reqs-06.txt: req 4: "on behalf of AOR".

From: Martien Huysmans <[email-masked]>
Date: Fri, 7 May 2010 08:54:16 +0200

Question on draft-ietf-martini-reqs-06.txt.

The text talks twice about "UAs register with the SIP-PBX on behalf of the AORs concerned".
What does this mean?
How does an UA register with an SIP-PBX "on behalf of" an AOR?

/Martien

---

From: "Elwell, John" <[email-masked]>
Date: Fri, 7 May 2010 15:02:14 +0200

Each UA that has credentials for a particular AOR can register a contact URI on behalf of that AOR. What is the problem with that? What preposition would you prefer?

John 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Martien Huysmans
> Sent: 07 May 2010 07:54
> To: [email-masked]
> Subject: [martini] draft-ietf-martini-reqs-06.txt: req 4: "on 
> behalf of AOR".
>

---

From: Martien Huysmans <[email-masked]>
Date: Mon, 10 May 2010 13:44:05 +0200

John

The "problem" is trying to understand why the text includes "on behalf of".
This document is input for the other martini document and it should make
sense to me or anybody else. 

I looked at RFC3261 on the usage of "on behalf of".
Section 10.2: 
   Registration on behalf of a particular address-of-record can be performed 
   by a suitably authorized third party. 
I have the impression that your text is not talking about "3rd party registration".
But I may be wrong.

You asked for a proposition. Here is an attempt.

1) remove the sentence in section 1.
   Rationale: The information feels superluous compared to the 
   sentences before this sentence.

2) Update REQ4 to:
   The mechanism MUST allow an UA to register with a SIP-PBX 
   without needing to involve the SSP in the registration process,
   in order to receive requests targeted at assigned telephone numbers.

   Rationale:
   - it uses MUST instead of "MUST NOT".
   - 3rd party registration is a "basic mechanims" according RFC3261. So
     no need to repeat that.

/Martien

-----Original Message-----
From: Elwell, John [mailto:[email-masked]] 
Sent: Friday, May 07, 2010 3:02 PM
To: Martien Huysmans; [email-masked]
Subject: RE: draft-ietf-martini-reqs-06.txt: req 4: "on behalf of AOR".

John 

> Subject: [martini] draft-ietf-martini-reqs-06.txt: req 4: "on behalf 
> of AOR".
>

---

From: "Elwell, John" <[email-masked]>
Date: Mon, 10 May 2010 15:57:33 +0200

> From: Martien Huysmans [mailto:[email-masked]] 
> Sent: 10 May 2010 12:44
> To: Elwell, John; [email-masked]
[JRE] I will do this.

>    in order to receive requests targeted at assigned 
[JRE] I liked the existing "MUST NOT prevent" formulation, because clearly, even without MARTINI, UAs behind a PBX can register with the PBX, so we just want to make sure the MARTINI mechanism does not prevent this. I think we can change "on behalf of" to "for", if that helps.

Again, changes are in my working copy - I will wait a day or two before publishing reqs-07.

John

> Each UA that has credentials for a particular AOR can 
> register a contact URI on behalf of that AOR. What is the 
> problem with that? What preposition would you prefer?
> 
> John 
> 
> > The text talks twice about "UAs register with the SIP-PBX 
> on behalf of 
> > the AORs concerned".
> > What does this mean?

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 10 May 2010 11:08:09 -0400

Maybe I'm missing something, because I don't understand the issue.
AFAIK the use of "on behalf of X" in this requirement is just another 
way of saying "the To-URI of the REGISTER will be X". IOW, its 
equivalent to the following rewording:

    REQ4 - The mechanism MUST NOT prevent UAs attached to a SIP-PBX
    registering with the SIP-PBX using a To-URI based on assigned
    telephone numbers in order to receive requests targeted at those
    telephone numbers, without needing to involve the SSP in the
    registration process.

Section 10.2 of 3261 uses "on behalf of" in this same way.

	Thanks,
	Paul

Martien Huysmans wrote:
> _______________________________________________
> martini mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/martini
>

---

From: Martien Huysmans <[email-masked]>
Date: Tue, 11 May 2010 09:44:56 +0200

John

How about:

The mechanism MUST NOT prevent UAs attached to a SIP-PBX
   registering AORs with the SIP-PBX based on assigned
   telephone numbers in order to receive requests targeted at those
   telephone numbers, without needing to involve the SSP in the
   registration process.  

/Martien 

-----Original Message-----
From: Elwell, John [mailto:[email-masked]] 
Sent: Monday, May 10, 2010 3:58 PM
To: Martien Huysmans; [email-masked]
Subject: RE: draft-ietf-martini-reqs-06.txt: req 4: "on behalf of AOR".

> This document is input for the other martini document and it should 
> make sense to me or anybody else.
> 
[JRE] I will do this.

John

> Each UA that has credentials for a particular AOR can register a 
> contact URI on behalf of that AOR. What is the problem with that? What 
> preposition would you prefer?
> 
> John
>

---

From: Martien Huysmans <[email-masked]>
Date: Tue, 11 May 2010 09:56:50 +0200

Paul

RFC3261, section 10.2 mentions the on-behalf-of registration or third-party registration.
I think that in case, the From-URI is different, not the To-URI.

RFC3261, section 10.2 states:

      From: The From header field contains the address-of-record of the
           person responsible for the registration.  The value is the
           same as the To header field unless the request is a third-
           party registration.

You propose to change the wording of REQ 4.
For me the discussion started with trying to understand WHY the "on behalf of" 
was included in the first place.

I think you text is probably equivelant to what I an John discussed in another email.
But following the style of the requirement document, I rather use AOR, then talk about
a specific parameter in the REGISTER.

/Martien

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]] 
Sent: Monday, May 10, 2010 5:08 PM
To: Martien Huysmans
Cc: Elwell, John; [email-masked]
Subject: Re: [martini] draft-ietf-martini-reqs-06.txt: req 4: "on behalf of AOR".

Maybe I'm missing something, because I don't understand the issue.
AFAIK the use of "on behalf of X" in this requirement is just another way of saying "the To-URI of the REGISTER will be X". IOW, its equivalent to the following rewording:

	Thanks,
	Paul

---

From: "Elwell, John" <[email-masked]>
Date: Tue, 11 May 2010 10:13:03 +0200

> Sent: 11 May 2010 08:45
[JRE] The point is, I don't think an entity registers an AOR, I think an entity registers a contact for an AOR. So I still prefer the text in my working copy:
"The mechanism MUST NOT prevent UAs attached to a SIP-PBX registering with the SIP-PBX for AORs based on assigned telephone numbers, in order to...".
(In fact I really preferred my original "on behalf of" if changing this to "for" did not help).

Regards,

John

> > The "problem" is trying to understand why the text includes 
> "on behalf 
> > of".
> > I have the impression that your text is not talking about 
> "3rd party 
> > registration".
> > But I may be wrong.
> > 
> [JRE] I liked the existing "MUST NOT prevent" formulation, 
> because clearly, even without MARTINI, UAs behind a PBX can 
> register with the PBX, so we just want to make sure the 
> MARTINI mechanism does not prevent this. I think we can 
> change "on behalf of" to "for", if that helps.
> 
> >    - 3rd party registration is a "basic mechanims" 
> according RFC3261. 
> > So
> >      no need to repeat that.
> > 
> > /Martien
> >

---

From: Martien Huysmans <[email-masked]>
Date: Tue, 11 May 2010 14:50:37 +0200

John 

I agree with your "an entity registers a contact for an AOR".
I still do not like the "on behalf of", so your proposal with "for" is ok for me.

/Martien

-----Original Message-----
From: Elwell, John [mailto:[email-masked]] 
Sent: Tuesday, May 11, 2010 10:13 AM
To: Martien Huysmans; [email-masked]
Subject: RE: draft-ietf-martini-reqs-06.txt: req 4: "on behalf of AOR".

Regards,

John

> [JRE] I liked the existing "MUST NOT prevent" formulation, because 
> clearly, even without MARTINI, UAs behind a PBX can register with the 
> PBX, so we just want to make sure the MARTINI mechanism does not 
> prevent this. I think we can change "on behalf of" to "for", if that 
> helps.
>

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 11 May 2010 10:14:40 -0400

Martin,

I'm happy with what you and John worked out.

But just in the interest of closing this discussion on behalf of 
"behalf" - 3261 section 10.2 says:

    REGISTER requests add, remove, and query bindings.  A REGISTER
    request can add a new binding between an address-of-record and one or
    more contact addresses.  Registration on behalf of a particular
    address-of-record can be performed by a suitably authorized third
    party.  A client can also remove previous bindings or query to
    determine which bindings are currently in place for an address-of-
    record.

The use of "on behalf" in that paragraph may be unfortunate, but it 
seems clear to be that the "on behalf" is referring to the AOR that is 
the target of registration, and not to the identity of the party that is 
doing the registration. Consider the following variations that might 
have been said:

1) Registration on behalf of a particular
    address-of-record can be performed by a suitably authorized third
    party.

2) Registration (for/with/to) a particular
    address-of-record can be performed on behalf of a suitably
    authorized third party.

3) Registration on behalf of a particular
    address-of-record can be performed by a user agent representing
    that address-of-record.

Of those, (1) is the as-written case, talking about third party 
registration. (2) shifts the use of "on behalf of" to refer to the third 
party. I expect this is they way you have been interpreting it. Its 
also, IMO, a more natural way of using "on behalf of". (3) is applying 
the original phrasing to first party registration. It still "works".

I had to go back and study this in 3261 to be certain of this. But I 
presume it was this usage that John was copying in REQ 4. Because of the 
precedent I did not have an issue with it. But phrasing that doesn't use 
"on behalf of" will probably help prevent confusion.

I've personally always had difficulty deciding how to phrase this. And 
I've indicated that in (2) by showing the alternatives to/with/for. None 
of them seem ideal, though I usually use "to".

	Thanks,
	Paul